const mode = window.acquireVsCodeApi === undefined ? 'debug' : 'release';
console.log('digital-vcd-viewer mode: ' + mode);

let vscode = window.acquireVsCodeApi === undefined ? undefined : acquireVsCodeApi();

import { debounceWrapper } from '@/hook/utils';
import axios from 'axios';

/**
 * 
 * @param {string} file 
 * @param {*} payload 
 */
export async function saveView(file, payload) {
    if (payload.waves === undefined || payload.waves.length === 0) {
        return;
    }
    if (mode === 'debug') {
        const res = await axios.post('http://localhost:3000/save-view', { file, payload });
        console.log(res);
        
    } else {
        vscode.postMessage({
            command: 'save-view',
            data: { file, payload }
        });
    }
}

export const saveViewApi = debounceWrapper(saveView, 2000);